<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package auctor
 */

?><!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
	<?php
	define( 'TC_POST', 'Feel free to make use of the contact details below if you have any questions,
comments, or feedback:[[br]]
[[br]]
* Leave a comment on this ticket[[br]]
* Send an email to the Theme Review email list[[br]]
* Use the #wordpress-themes IRC channel on Freenode.' );
	?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
    <header id="masthead" class="site-header">

        <div class="wrapper">
            <div class="site-branding">

				<?php if ( get_theme_mod( 'myp_logo' ) ) : ?>
                    <div class='site-logo'>
                        <a href='<?php echo esc_url( home_url( '/' ) ); ?>'
                           title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><img
                                    src='<?php echo esc_url( get_theme_mod( 'myp_logo' ) ); ?>'
                                    alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'></a>
                    </div>
				<?php else : ?>
                    <hgroup>
                        <h1 class='site-title'><a href='<?php echo esc_url( home_url( '/' ) ); ?>'
                                                  title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'
                                                  rel='home'><?php bloginfo( 'name' ); ?></a></h1>
                        <p class='site-description'><?php bloginfo( 'description' ); ?></p>
                    </hgroup>
				<?php endif; ?>
            </div><!-- .site-branding -->

            <nav id="site-navigation" class="main-navigation">
                <button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i></i><i></i><i></i>
                </button>
				<?php
				wp_nav_menu( array(
					'theme_location' => 'menu-1',
					'menu_id'        => 'primary-menu',
				) );
				?>
            </nav><!-- #site-navigation -->
        </div>
    </header><!-- #masthead -->

    <!-- #Header-image -->

    <!-- #Header-image -->

	<?php

	if ( is_singular() ) {
		$post_id                  = get_the_id();
		$blogimgFeaturedImage_url = wp_get_attachment_url( get_post_thumbnail_id( $post_id ) );

		if ( ! empty( $blogimgFeaturedImage_url ) ) { ?>
            <div class="banner">
                <img src="<?php echo esc_url( $blogimgFeaturedImage_url, 'tinyblogs' ); ?>">
            </div>
		<?php } elseif ( get_theme_mod( 'default_banner' ) ) {
			?>
            <div class="banner">
                <img src="<?php echo esc_url( get_theme_mod( 'default_banner' ) ); ?>">
            </div>
		<?php }

	} ?>


	<?php if ( is_home() ) { ?>
		<?php if ( get_header_image() ) { ?>
            <div class="banner">
                <img src="<?php header_image(); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>"
                     height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="">
            </div>
		<?php } elseif ( get_theme_mod( 'default_banner' ) ) {
			?>
            <div class="banner">
                <img src="<?php echo esc_url( get_theme_mod( 'default_banner' ) ); ?>">
            </div>
		<?php }

	} ?>

    <!-- End header image -->
    <div id="content" class="site-content">
        <div class="wrapper">
